Subject: bug#18649: 25.0.50; Closing TTY menus on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Oct 2014 13:29:52 +0300

> Date: Wed, 08 Oct 2014 11:32:31 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > IOW, we throw to top level too early
>  > or too radically.
> 
> Do you see any way to debug this?

If no other idea presents itself, the hard way: by stepping through
the code in keyboard.c that processes keyboard input.

>  > Update: the problem is definitely caused by r117587; reverting it
>  > fixes the problem.  I reviewed the diffs, more than once, and I cannot
>  > see what could be the reason.  Martin, your help will be appreciated.
> 
> I'm just as lost as you are.  I tried to partially revert changes that
> could have affected this on w32 but with no luck.

Sigh.  I guess that commit just exposed some other bug, then.

Thanks for trying.

> BTW: Is there a way to turn `blink-cursor-mode' off on a TTY?

No, it blinks "in hardware" (i.e., the terminal software does it).
And there's no reason to disable it, because it should never do
anything on a TTY.  Or do you have evidence to the contrary?